package com.hxhq.business.form.yq;

import com.hxhq.common.core.annotation.Compare;

public class StorageLocationForm {

    private Long id;

    /** 放置地点 */
    @Compare(name = "放置地点")
    private String location;

    /** 设备名称或编号 */
    @Compare(name = "设备名称或编号")
    private String name;

    /** 放置货架 */
    @Compare(name = "放置货架")
    private String shelfPlacement;

    /** 温层 */
    @Compare(name = "温层")
    private String compartment;

    /** 部门id */
    private Long deptId;

    /** 状态 1-禁用 10-启用 */
    private Integer status;

    @Compare(name = "所属部门")
    private String deptName;

    @Compare(name = "状态")
    private String statusInfo;

    private String qmrmm;

    private Long qmrId;

    public String getStatusInfo() {
        return statusInfo;
    }

    public void setStatusInfo(String statusInfo) {
        this.statusInfo = statusInfo;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShelfPlacement() {
        return shelfPlacement;
    }

    public void setShelfPlacement(String shelfPlacement) {
        this.shelfPlacement = shelfPlacement;
    }

    public String getCompartment() {
        return compartment;
    }

    public void setCompartment(String compartment) {
        this.compartment = compartment;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
}
